summaryrefslogtreecommitdiff
path: root/functions/chroot.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:04:46 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:14:51 +0100
commitfe6eb1c593e2df135c8807bf94df614984b4d6ec (patch)
tree693b803dcc6473a8699f0c605c92b10c24755e28 /functions/chroot.sh
parent470cf1764bf56b32addff591cfe3fd69af0e5760 (diff)
downloadlive-build-fe6eb1c593e2df135c8807bf94df614984b4d6ec.zip
live-build-fe6eb1c593e2df135c8807bf94df614984b4d6ec.tar.gz
Adding live-helper 1.0~a1-1.
Diffstat (limited to 'functions/chroot.sh')
-rwxr-xr-xfunctions/chroot.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/functions/chroot.sh b/functions/chroot.sh
new file mode 100755
index 0000000..60de2dd
--- /dev/null
+++ b/functions/chroot.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# chroot.sh - chroot wrapper
+
+set -e
+
+Chroot ()
+{
+ COMMANDS="${1}"
+
+ # Executing commands in chroot
+ chroot "${LIVE_CHROOT}" /usr/bin/env -i HOME="/root" PATH="/usr/sbin:/usr/bin:/sbin:/bin" TERM="${TERM}" ftp_proxy="${LH_APT_FTPPROXY}" http_proxy="${LH_APT_HTTPPPROXY}" DEBIAN_FRONTEND="${LH_DEBCONF_FRONTEND}" DEBIAN_PRIORITY="${LH_DEBCONF_PRIORITY}" ${COMMANDS}
+}